@import "~bootswatch/dist/litera/variables";
$primary: $pink;
$light: $gray-300;
$list-group-active-bg: rgba($pink, 0.15);
$list-group-active-color: $dark;
$enable-negative-margins: true;

@import "~bootstrap/scss/bootstrap";
@import "~bootswatch/dist/litera/bootswatch";

.app {
    background: rgb(108, 154, 149);
    background: linear-gradient(
        0deg,
        rgba(50, 190, 218, 1) 0%,
        rgba(41, 89, 116, 1) 15%,
        rgba(108, 154, 149, 1) 50%,
        rgba(41, 89, 116, 1) 85%,
        rgba(50, 190, 218, 1) 100%
    );
    background-size: 100% 2400px;
    background-position: top left;
    color: #ffffff;
    min-height: 100vh;

    .github-trending {
        .back-top-button {
            width: 3rem;
            height: 3rem;
        }

        .hero-header {
            min-height: 20rem;
            background: url(imgs/Octocat.png) right bottom/contain no-repeat;
            background-size: 300px;
            .title {
                display: none;
            }
            .logo {
                width: 10rem;
                max-width: 100%;
            }
            .loading {
                display: inline-block;
                width: 1rem;
                height: 1rem;
                vertical-align: middle;
                margin-left: 1rem;
            }
            .octocat {
                width: 20rem;
                max-width: 100%;
                padding-top: 5rem;
            }
        }

        .repos-body {
            color: $body-color;
            .repos {
                .repo {
                    position: relative;
                    min-height: 6rem;
                    &:before {
                        font-size: 1.25rem;
                        content: counters(section, ".") " ";
                        counter-increment: section;
                        color: #ffffff;
                        background: rgba($primary, 0.5);
                        position: absolute;
                        z-index: 0;
                        width: 2.5rem;
                        height: 2.5rem;
                        top: 0;
                        left: 0;
                        border-radius: 0 0 100% 0;
                    }
                    .avatar {
                        display: inline-block;
                        width: 5rem;
                        z-index: 1;
                        background: #ffffff;
                    }
                    .actions {
                        background: $gray-100;
                        min-width: 10rem;
                        ul {
                            list-style: none;
                            list-style-position: inside;
                            margin: 0;
                            padding: 0;
                        }
                        .github-star-icon {
                            display: inline-block;
                            width: 1.25rem;
                        }
                    }
                    &.loading {
                        .avatar {
                            width: 3rem;
                            height: 3rem;
                            background: transparent;
                        }
                    }
                    &.no-rank {
                        &:before {
                            display: none;
                        }
                    }
                    &.active {
                        .actions {
                            // background: $list-group-active-bg;
                            background: transparent;
                        }
                    }
                    &.filtered {
                        // min-height: 0;
                        // height: 3.25rem;
                        overflow: hidden;
                        position: relative;
                        &:after {
                            position: absolute;
                            width: 100%;
                            height: 100%;
                            content: " ";
                            background: rgba(255, 255, 255, 0.75);
                        }
                    }
                }
            }
        }
    }
}

@include media-breakpoint-down(md) {
    .app {
        .github-trending {
            .hero-header {
                background: none;
            }
            .repos-body {
                .repos {
                    .repo {
                        &:before {
                            font-size: 10rem;
                            color: rgba($primary, 0.15);
                            background: transparent;
                            z-index: 0;
                            width: auto;
                            height: auto;
                            text-align: center;
                            top: 50%;
                            left: 50%;
                            transform: translate(-50%, -50%);
                            border-radius: none;
                        }
                    }
                }
            }
        }
    }
}
